This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 218023 - (alphabet-soup) Review Request: alphabet-soup - Guide your worm through the soup to spell words
Review Request: alphabet-soup - Guide your worm through the soup to spell words
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Stone
Fedora Package Reviews List
:
Depends On: alfont
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-01 06:09 EST by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-04 00:36:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-12-01 06:09:02 EST
Spec URL: http://people.atrpms.net/~hdegoede/alphabet-soup.spec
SRPM URL: http://people.atrpms.net/~hdegoede/alphabet-soup-1.1-1.fc7.src.rpm
Description:
Guide your worm through the soup to spell words and earn points. Play the way
you like with several game mode selections. Words are chosen from one of three
included dictionaries, or import your own.

---

Note this requires alfont whose review is bug 217998
Comment 1 Christopher Stone 2006-12-01 12:07:10 EST
Build fails with:
ncds.c:8:20: error: aldumb.h: No such file or directory

Review blocked due to build failure.
Comment 2 Christopher Stone 2006-12-01 12:26:24 EST
==== REVIEW CHECKLIST ====
- rpmlint output clean
- package named according to package naming guidelines
- spec file name matches %{name}
- meets packaging guidelines
- licensed with open source compatible license
- license field matches actual license
- license file included in %doc
- spec written in American english
- spec legible
- sources match upstream:
364fe30c53a86217db37f53308604f74  as11src.zip
- successfully compiles and builds on FC6 x86_64
X missing BR: dumb-devel
- no locales
- no shared libraries
- package is not relocatable
- package owns all directories it creates
X package uses directory not pulled in through Requires
  must require hicolor-icons
- no duplicates in %files
- file permissions set properly
- contains proper %clean
- macro usage consistent
- contains code
- no large documentation
- %doc does not affect runtime
- no header files or static libraries
- no pkgconfig files
- no need for devel subpackage
- no .la files
- contains proper .desktop file
- does not own files or directories owned by other packages


==== MUST FIX ====
- Add dumb-devel to BR
- requires hicolor-icon-theme package
Comment 3 Hans de Goede 2006-12-03 15:26:01 EST
(In reply to comment #2)
> ==== MUST FIX ====
> - Add dumb-devel to BR
Good catch!

> - requires hicolor-icon-theme package
Will I ever learn? :(

Both fixed, new version is here:
Spec URL: http://people.atrpms.net/~hdegoede/alphabet-soup.spec
SRPM URL: http://people.atrpms.net/~hdegoede/alphabet-soup-1.1-2.fc7.src.rpm
Comment 4 Christopher Stone 2006-12-03 16:04:24 EST
All MUST items fixed. APPROVED.
Comment 5 Hans de Goede 2006-12-04 00:36:08 EST
Thanks! Imported and build requested, closing.

Note You need to log in before you can comment on or make changes to this bug.